Download it now!
Bug 67759 - VIEWING: bitmap image hides my shapes(line, rectangle,..).
Summary: VIEWING: bitmap image hides my shapes(line, rectangle,..).
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: DOCX-Textbox
  Show dependency treegraph
 
Reported: 2013-08-05 02:11 UTC by wowfoot
Modified: 2019-02-26 22:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample documentation (127.68 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-08-05 02:11 UTC, wowfoot
Details
Screenshots of the problem (278.37 KB, application/x-zip-compressed)
2013-08-05 08:54 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wowfoot 2013-08-05 02:11:50 UTC
Created attachment 83635 [details]
sample documentation

Problem description: 
bitmap image hides my shapes. The original order is shape, image. but in libre writer, the order is changed to image and shapes. so image hides shapes.

Steps to reproduce:
1. open the attached

Current behavior:
1. hide the shapes

Expected behavior:
1. show the shapes
              
Operating System: Windows XP
Version: 4.1.0.4 release
Comment 1 Mike Kaganski 2013-08-05 08:54:48 UTC
Created attachment 83648 [details]
Screenshots of the problem
Comment 2 Mike Kaganski 2013-08-05 08:58:02 UTC
Reproducible with LO 3.6.0.4 - 4.1.0.4 and AOO 4.0 under Win7x64.

The original Z-order of objects is not preserved when the .docx is imported.

Miklos, please take a look if this is for you.
Comment 3 QA Administrators 2015-04-19 03:19:50 UTC Comment hidden (obsolete)
Comment 4 Mike Kaganski 2015-04-19 05:41:14 UTC
Still reproducible with Version: 4.4.3.1
Build ID: b2f347f2ac68821efc00b6f1793cda90af748118
Locale: ru_RU
under Win7x64

The drawing objects that should be in the foreground, (texts and ellipse) get wrapping set to "background" for some reason.
Comment 5 QA Administrators 2016-09-20 09:24:24 UTC Comment hidden (obsolete)
Comment 6 Telesto 2016-12-07 19:52:25 UTC
Reproducible with
Version: 5.4.0.0.alpha0+
Build ID: a9f56091b6422ec8c42f09b8472200ae4ab12548
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-05_23:12:26
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 QA Administrators 2017-12-08 08:08:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug